ICU 74.2 74.2

Data Structures | Namespaces | Typedefs | Enumerations
tznames.h File Reference

C++ API: TimeZoneNames. More...

`#include "unicode/utypes.h"`
`#include "unicode/uloc.h"`
`#include "unicode/unistr.h"`

Go to the source code of this file.

## Data Structures
class | icu::TimeZoneNames
| `TimeZoneNames` is an abstract class representing the time zone display name data model defined by UTS#35 Unicode Locale Data Markup Language (LDML). More...
class | icu::TimeZoneNames::MatchInfoCollection
| `MatchInfoCollection` represents a collection of time zone name matches used by `TimeZoneNames#find`. More...

## Namespaces
namespace | icu
| File coll.h.

## Typedefs
typedef enum UTimeZoneNameType | UTimeZoneNameType
| Constants for time zone display name types.

## Enumerations
enum | UTimeZoneNameType { UTZNM_UNKNOWN = 0x00 , UTZNM_LONG_GENERIC = 0x01 , UTZNM_LONG_STANDARD = 0x02 , UTZNM_LONG_DAYLIGHT = 0x04 , UTZNM_SHORT_GENERIC = 0x08 , UTZNM_SHORT_STANDARD = 0x10 , UTZNM_SHORT_DAYLIGHT = 0x20 , UTZNM_EXEMPLAR_LOCATION = 0x40 }
| Constants for time zone display name types. More...

## Detailed Description

C++ API: TimeZoneNames.

Definition in file tznames.h.

## Typedef Documentation

## ◆ UTimeZoneNameType

typedef enum UTimeZoneNameType UTimeZoneNameType

Constants for time zone display name types.

Stable:
  ICU 50

## Enumeration Type Documentation

## ◆ UTimeZoneNameType

enum UTimeZoneNameType

Constants for time zone display name types.

Stable:
  ICU 50

Enumerator
UTZNM_UNKNOWN | Unknown display name type. Stable: ICU 50
UTZNM_LONG_GENERIC | Long display name, such as "Eastern Time". Stable: ICU 50
UTZNM_LONG_STANDARD | Long display name for standard time, such as "Eastern Standard Time". Stable: ICU 50
UTZNM_LONG_DAYLIGHT | Long display name for daylight saving time, such as "Eastern Daylight Time". Stable: ICU 50
UTZNM_SHORT_GENERIC | Short display name, such as "ET". Stable: ICU 50
UTZNM_SHORT_STANDARD | Short display name for standard time, such as "EST". Stable: ICU 50
UTZNM_SHORT_DAYLIGHT | Short display name for daylight saving time, such as "EDT". Stable: ICU 50
UTZNM_EXEMPLAR_LOCATION | Exemplar location name, such as "Los Angeles". Stable: ICU 51

Definition at line 31 of file tznames.h.